Delen via


Apis - Get

Retourneert details van de API.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiCenter/services/{serviceName}/workspaces/{workspaceName}/apis/{apiName}?api-version=2024-03-01

URI-parameters

Name In Vereist Type Description
apiName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

De naam van de API.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is niet hoofdlettergevoelig.

serviceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

De naam van de Azure API Center-service.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

workspaceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

De naam van de werkruimte.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

Api

De Azure-bewerking is voltooid.

Kopteksten

ETag: string

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Apis_Get

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api?api-version=2024-03-01

Voorbeeldrespons

{
  "type": "Microsoft.ApiCenter/services/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api",
  "name": "public",
  "systemData": {
    "createdAt": "2023-07-03T18:27:09.128871Z",
    "lastModifiedAt": "2023-07-03T18:27:09.1288716Z"
  },
  "properties": {
    "title": "Echo API",
    "description": "A simple HTTP request/response service.",
    "lifecycleStage": "design",
    "kind": "rest",
    "termsOfService": {
      "url": "https://contoso.com/terms-of-service"
    },
    "license": {
      "url": "https://contoso.com/license"
    },
    "externalDocumentation": [
      {
        "title": "Onboarding docs",
        "url": "https://docs.contoso.com"
      }
    ],
    "customProperties": {
      "author": "John Doe"
    }
  }
}

Definities

Name Description
Api

API-entiteit.

ApiKind

Het type API

Contact

Contactgegevens

createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

ExternalDocumentation

Aanvullende, externe documentatie voor de API.

License

De licentiegegevens voor de API.

LifecycleStage

De fase van de api-ontwikkelingslevenscyclus

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

TermsOfService

Servicevoorwaarden voor de API.

Api

API-entiteit.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.contacts

Contact[]

De set contactpersonen

properties.customProperties

object

Aangepaste eigenschappen
De aangepaste metagegevens die zijn gedefinieerd voor API-catalogusentiteiten.

properties.description

string

maxLength: 1000

Beschrijving van de API.

properties.externalDocumentation

ExternalDocumentation[]

De set externe documentatie

properties.kind

ApiKind

Soort API. Bijvoorbeeld REST of GraphQL.

properties.license

License

De licentiegegevens voor de API.

properties.lifecycleStage

LifecycleStage

Huidige levenscyclusfase van de API.

properties.summary

string

maxLength: 200

Korte beschrijving van de API.

properties.termsOfService

TermsOfService

Servicevoorwaarden voor de API.

properties.title

string

minLength: 1
maxLength: 50

API-titel.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

ApiKind

Het type API

Waarde Description
rest

Een Representational State Transfer API

graphql

Een Api voor Graph-querytaal

grpc

Een gRPC-API

soap

Een SOAP API

webhook

Webhook

websocket

Websocket

Contact

Contactgegevens

Name Type Description
email

string

maxLength: 100

E-mailadres van de contactpersoon.

name

string

maxLength: 100

Naam van de contactpersoon.

url

string (uri)

maxLength: 200

URL voor de contactpersoon.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

ExternalDocumentation

Aanvullende, externe documentatie voor de API.

Name Type Description
description

string

maxLength: 500

Beschrijving van de documentatie.

title

string

maxLength: 50

Titel van de documentatie.

url

string (uri)

maxLength: 200

URL die verwijst naar de documentatie.

License

De licentiegegevens voor de API.

Name Type Description
identifier

string (uri)

maxLength: 50

SPDX-licentiegegevens voor de API. Het id-veld is wederzijds exclusief van het URL-veld.

name

string

maxLength: 100

Naam van de licentie.

url

string (uri)

maxLength: 200

URL die verwijst naar de licentiegegevens. Het URL-veld is wederzijds exclusief van het id-veld.

LifecycleStage

De fase van de api-ontwikkelingslevenscyclus

Waarde Description
design

ontwerpfase

development

ontwikkelingsfase

testing

testfase

preview

In voorbeeldweergave

production

In productie

deprecated

afgeschafte fase

retired

Buiten gebruik gestelde fase

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.

TermsOfService

Servicevoorwaarden voor de API.

Name Type Description
url

string (uri)

maxLength: 200

URL die verwijst naar de servicevoorwaarden.